Package org.eclipse.birt.chart.model.attribute

# Enum TriggerFlow

java.lang.Object
java.lang.Enum<TriggerFlow>
org.eclipse.birt.chart.model.attribute.TriggerFlow

All Implemented Interfaces:
  `Serializable`, `Comparable<TriggerFlow>`, `java.lang.constant.Constable`, `org.eclipse.emf.common.util.Enumerator`

public enum TriggerFlow extends Enum<TriggerFlow> implements org.eclipse.emf.common.util.Enumerator
A representation of the literals of the enumeration 'Trigger Flow', and utility methods for working with them. The TriggerFlow defines whether it reacts to the capturing or bubbling sequence Capture: the trigger's action will be triggered in the capturing phase Bubble (default): the trigger's action will be triggered in the bubbling phase BubbleAndStop: the trigger's action will be triggered in the bubbling phase, and will stop the bubbling flow.

See Also:
  - `AttributePackage.getTriggerFlow()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BUBBLE_AND_STOP_LITERAL`
The 'Bubble And Stop' literal object.
`BUBBLE_LITERAL`
The 'Bubble' literal object.
`CAPTURE_LITERAL`
The 'Capture' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BUBBLE`
The 'Bubble' literal value.
`static final int`
`BUBBLE_AND_STOP`
The 'Bubble And Stop' literal value.
`static final int`
`CAPTURE`
The 'Capture' literal value.
`static final List<TriggerFlow>`
`VALUES`
A public read-only list of all the 'Trigger Flow' enumerators.

## Method Summary

Modifier and Type
Method
Description
`static TriggerFlow`
`get(int value)`
Returns the 'Trigger Flow' literal with the specified integer value.
`static TriggerFlow`
`get(String literal)`
Returns the 'Trigger Flow' literal with the specified literal value.
`static TriggerFlow`
`getByName(String name)`
Returns the 'Trigger Flow' literal with the specified name.
`String`
`getLiteral()`
`String`
`getName()`
`int`
`getValue()`
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static TriggerFlow`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TriggerFlow[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CAPTURE_LITERAL

public static final TriggerFlow CAPTURE_LITERAL
The 'Capture' literal object.

See Also:
  - `CAPTURE`

### BUBBLE_LITERAL

public static final TriggerFlow BUBBLE_LITERAL
The 'Bubble' literal object.

See Also:
  - `BUBBLE`

### BUBBLE_AND_STOP_LITERAL

public static final TriggerFlow BUBBLE_AND_STOP_LITERAL
The 'Bubble And Stop' literal object.

See Also:
  - `BUBBLE_AND_STOP`

## Field Details

### CAPTURE

public static final int CAPTURE
The 'Capture' literal value.

If the meaning of 'Capture' literal object isn't clear, there really should be more of a description here...

See Also:
  - `CAPTURE_LITERAL`
  - Constant Field Values

### BUBBLE

public static final int BUBBLE
The 'Bubble' literal value.

If the meaning of 'Bubble' literal object isn't clear, there really should be more of a description here...

See Also:
  - `BUBBLE_LITERAL`
  - Constant Field Values

### BUBBLE_AND_STOP

public static final int BUBBLE_AND_STOP
The 'Bubble And Stop' literal value.

If the meaning of 'Bubble And Stop' literal object isn't clear, there really should be more of a description here...

See Also:
  - `BUBBLE_AND_STOP_LITERAL`
  - Constant Field Values

### VALUES

public static final List<TriggerFlow> VALUES
A public read-only list of all the 'Trigger Flow' enumerators.

## Method Details

### values

public static TriggerFlow[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static TriggerFlow valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static TriggerFlow get(String literal)
Returns the 'Trigger Flow' literal with the specified literal value.

### getByName

public static TriggerFlow getByName(String name)
Returns the 'Trigger Flow' literal with the specified name.

### get

public static TriggerFlow get(int value)
Returns the 'Trigger Flow' literal with the specified integer value.

### getValue

public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

public String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

public String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<TriggerFlow>`